List Transactions

Return a list of all transactions, restricted by your allianceCode,
partnerCode or merchant ID (as appropriate) for the given datetime range.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Try it!

Try entering your API Key on the right and hitting the 'Try It' button. By default you'll be seeing sandbox data, but it's a great way to get an idea of the request/response!

We recommend using the postedAfter and postedBefore query params, however leaving them blank will retrieve records for the current day only.

📘

Reconciliation

If you've come from the authorisations endpoint and are looking for transaction records that match, you should query using the orderId parameter.

Query Params
date

Filter transactions on the posted field from the given date value in ISO 8601 format yyyy-MM-dd, anything from the time 00:00:00 on the given day would match.

Default: Current day

date

Filter transactions on the posted field up to and including the given date value in ISO 8601 format yyyy-MM-dd, anything up the the time 23:59:59 on the given day would match.

Default: Current day

integer
Defaults to 20

Number of elements to be returned in a single query.

Can be used for page/offset or cursor based pagination

integer
Defaults to 0

Starting point to start retrieving the elements from. It is "0" based i.e. value "0" signifies the first page.

This can be used with "limit".

Can be used for page/offset based pagination.

string

Defines how to sort the records returned. Must be specified in the syntax '+' (ascending) or '-' (descending) followed by the field name.

For example: +posted would sort by the 'posted' field ascending.

Allowed fields: posted

Default: +posted (oldest first)

string

Filter for records made on a specific terminal by ID.

string

Filter for records linked by the order ID from our payment gateway.

string

Filter for records linked by a funding record's id via the /fundings endpoint.

string

Filter for records linked by a funding detail record's id via the /fundings/{id}/details endpoint.

Headers
string

For use by an alliance when there is a need to filter on a specific partner within their scope.
May be restricted based on the API key.

string

For use by an alliance or partner when there is a need to filter on a specific merchant within their scope.
May be restricted based on the API key.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
Want a quick overview?